import type { DMMF } from '@prisma/generator-helper';
/** A Prisma DMMF model with the regexes for each field. */
export interface ModelWithRegex extends DMMF.Model {
    regexps: RegExp[];
}
/**
 * Parses the DMMF document and returns a list of models that have at least one field with
 * typed json and the regexes for each field type.
 */
export declare function extractPrismaModels(dmmf: DMMF.Document): ModelWithRegex[];
//# sourceMappingURL=dmmf.d.ts.map